-- SKRYPT STWORZONY PRZEZ AMAMA --
-- ZAKAZ USUWANIA AUTORA ORAZ MODYFIKOWANIA TEGO PODPISU --
-- ZAKAZ UŻYWANIA SKRYPTU BEZ MOJEJ ZGODY! --

skrypty={
	'PSSM-przechowalnia', 
	'PSSM-voicechat', 
	'admin', 
	'ajax', 
	'shader_detale', 
	'shader_detale2', 
	'shader_drewnokomp', 
	'shader_niebo', 
	'object_preview', 
	'cmta-antybot', 
	'cmta-bonusdnia', 
	'cmta-core', 
	'cmta-db', 
	'cmta-hud', 
	'cmta-licznik', 
	'cmta-login', 
	'cmta-markery', 
	'cmta-nametagi', 
	'cmta-notyfikacje', 
	'cmta-osiagniecia', 
	'cmta-paintjoby', 
	'cmta-panelgracza', 
	'cmta-podmianki', 
	'cmta-pojazdy', 
	'cmta-przebieralnia', 
	'cmta-salon', 
	'cmta-shadery', 
	'cmta-systemleveli', 
	'cmta-zarabianie', 
	'defaultstats', 
	'dgs', 
	'mapmanager', 
	'performancebrowser', 
	'resourcebrowser', 
	'resourcemanager', 
	'runcode', 
	'scoreboard', 
	'spawnmanager', 
	'cmta-Rgaraz', 
	'cmta-RskinyVIP', 
	'cmta-zlomowisko', 
	'hdblips', 
	'PSSM-eventZTP', 
	'ZTP', 
	'cmta-interakcjapojazdu', 
	'cmta-pobieraniezasobow'
}

function onstart()
	for i=1,#skrypty do
	local resource = getResourceFromName ( skrypty[i] )
		if resource then
		local state = getResourceState ( resource )
			if state == "loaded" then
			startResource ( resource )
			elseif state=="running" then
			restartResource ( resource )
			end
		end
		
	end
end
addEventHandler ( "onResourceStart", getResourceRootElement(getThisResource()), onstart )
